# InvestInStoParams

## Hierarchy

* **InvestInStoParams**

## Index

### Properties

* [fundingPortfolio](/polymesh-sdk-api-reference/docs-v8/interfaces/investinstoparams.md#fundingportfolio)
* [maxPrice](/polymesh-sdk-api-reference/docs-v8/interfaces/investinstoparams.md#optional-maxprice)
* [purchaseAmount](/polymesh-sdk-api-reference/docs-v8/interfaces/investinstoparams.md#purchaseamount)
* [purchasePortfolio](/polymesh-sdk-api-reference/docs-v8/interfaces/investinstoparams.md#purchaseportfolio)

## Properties

### fundingPortfolio

• **fundingPortfolio**: [*PortfolioLike*](/polymesh-sdk-api-reference/docs-v8/globals.md#portfoliolike)

*Defined in* [*src/api/procedures/investInSto.ts:31*](https://github.com/PolymathNetwork/polymesh-sdk/blob/7362b318/src/api/procedures/investInSto.ts#L31)

portfolio from which funds will be withdrawn to pay for the Tokens

### `Optional` maxPrice

• **maxPrice**? : *BigNumber*

*Defined in* [*src/api/procedures/investInSto.ts:39*](https://github.com/PolymathNetwork/polymesh-sdk/blob/7362b318/src/api/procedures/investInSto.ts#L39)

maximum average price to pay per Token (optional)

### purchaseAmount

• **purchaseAmount**: *BigNumber*

*Defined in* [*src/api/procedures/investInSto.ts:35*](https://github.com/PolymathNetwork/polymesh-sdk/blob/7362b318/src/api/procedures/investInSto.ts#L35)

amount of tokens to purchase

### purchasePortfolio

• **purchasePortfolio**: [*PortfolioLike*](/polymesh-sdk-api-reference/docs-v8/globals.md#portfoliolike)

*Defined in* [*src/api/procedures/investInSto.ts:27*](https://github.com/PolymathNetwork/polymesh-sdk/blob/7362b318/src/api/procedures/investInSto.ts#L27)

portfolio in which the purchased Tokens will be stored


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developers.polymath.network/polymesh-sdk-api-reference/docs-v8/interfaces/investinstoparams.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
